pro change_headerfits_ar, dat1,dat2,dat3,index1,index2,index3

;---------------------------------------------------------------------
    mis1=where(finite(dat1,/nan),cnt1)
    mis2=where(finite(dat1,/infinity),cnt2)
    index1.extname='Total field strength'
    index1.content='Btot'
    index1.bunit='Gauss'
    index1.missvals=cnt1+cnt2
    ss=size(dat1)
    nx=ss(1)
    ny=ss(2)
    index1.TOTVALS=nx*ny
    index1.datavals=nx*ny-cnt1-cnt2
    index1.percentd=100.0*(nx*ny-cnt1-cnt2)/(nx*ny)
    index1.datamin=min(dat1,/nan)
    index1.datamax=max(dat1,/nan)
    res = where(dat1 eq 0, cnt)
    index1.datazer=cnt
    result=moment(dat1,/nan,sdev=sdev,mdev=mdev) 
    index1.dataavg=result[0]
    index1.DATASKEW=result[2]
    index1.DATAKURT=result[3]
    index1.DATAMEDN=median(dat1)
    index1.datarms=stddev(dat1,/nan)

    mis1=where(finite(dat2,/nan),cnt1)
    mis2=where(finite(dat2,/infinity),cnt2)
    index2.extname='Inclination'
    index2.content='Angle'
    index2.bunit='Radian'
    index2.missvals=cnt1+cnt2
    ss=size(dat2)
    nx=ss(1)
    ny=ss(2)
    index2.TOTVALS=nx*ny
    index2.datavals=nx*ny-cnt1-cnt2
    pos=where(tag_names(index2) eq 'percentd',np)
    if np ne 0 then index2.percentd=100.0*(nx*ny-cnt1-cnt2)/(nx*ny)
    index2.datamin=min(dat2,/nan)
    index2.datamax=max(dat2,/nan)
    res = where(dat2 eq 0, cnt)
    index2.datazer=cnt
    result=moment(dat2,/nan,sdev=sdev,mdev=mdev) 
    index2.dataavg=result[0]
    index2.DATASKEW=result[2]
    index2.DATAKURT=result[3]
    index2.DATAMEDN=median(dat2)
    index2.datarms=stddev(dat2,/nan)
 
    mis1=where(finite(dat3,/nan),cnt1)
    mis2=where(finite(dat3,/infinity),cnt2)
    index3.extname='Azimuth'
    index3.content='Angle'
    index3.bunit='Radian'
    index3.missvals=cnt1+cnt2
    ss=size(dat3)
    nx=ss(1)
    ny=ss(2)
    index3.TOTVALS=nx*ny
    index3.datavals=nx*ny-cnt1-cnt2
    index3.percentd=100.0*(nx*ny-cnt1-cnt2)/(nx*ny)
    index3.datamin=min(dat3,/nan)
    index3.datamax=max(dat3,/nan)
    res = where(dat3 eq 0, cnt)
    index3.datazer=cnt
    result=moment(dat3,/nan,sdev=sdev,mdev=mdev) 
    index3.dataavg=result[0]
    index3.DATASKEW=result[2]
    index3.DATAKURT=result[3]
    index3.DATAMEDN=median(dat3)
    index3.datarms=stddev(dat3,/nan)

return

end
 
 
