pro change_headerfits_full, dat1,dat2,dat3,index1,index2,index3

;---------------------------------------------------------------------
    mis1=where(finite(dat1,/nan),cnt1)
    mis2=where(finite(dat1,/infinity),cnt2)
    index1.extname='Longitudinal field'
    index1.content='BL'
    index1.bunit='Gauss'
    index1.missvals=cnt1+cnt2
    index1.datavals=4096UL*4096UL-cnt1-cnt2
    index1.percentd=100.0 * (4096UL*4096UL-cnt1-cnt2) / (4096UL*4096UL)
    index1.datamin=min(dat1,/nan)
    index1.datamax=max(dat1,/nan)
    res = where(dat1 eq 0, cnt)
    index1.datazer=cnt
    result=moment(dat1,/nan,sdev=sdev,mdev=mdev) 
    index1.dataavg=result[0]
    index1.DATASKEW=result[2]
    index1.DATAKURT=result[3]
    index1.DATAMEDN=median(dat1)
    index1.datarms=stddev(dat1,/nan)

    mis1=where(finite(dat2,/nan),cnt1)
    mis2=where(finite(dat2,/infinity),cnt2)
    index2.extname='Transverse field'
    index2.content='Btx'
    index2.bunit='Gauss'
    index2.missvals=cnt1+cnt2
    index2.datavals=4096UL*4096UL-cnt1-cnt2
    index2.percentd=100.0 * (4096UL*4096UL-cnt1-cnt2) / (4096UL*4096UL)
    index2.datamin=min(dat2,/nan)
    index2.datamax=max(dat2,/nan)
    res = where(dat2 eq 0, cnt)
    index2.datazer=cnt
    result=moment(dat2,/nan,sdev=sdev,mdev=mdev) 
    index2.dataavg=result[0]
    index2.DATASKEW=result[2]
    index2.DATAKURT=result[3]
    index2.DATAMEDN=median(dat2)
    index2.datarms=stddev(dat2,/nan)
 
    mis1=where(finite(dat3,/nan),cnt1)
    mis2=where(finite(dat3,/infinity),cnt2)
    index3.extname='Transverse field'
    index3.content='Bty'
    index3.bunit='Gauss'
    index3.missvals=cnt1+cnt2
    index3.datavals=4096UL*4096UL-cnt1-cnt2
    index3.percentd=100.0 * (4096UL*4096UL-cnt1-cnt2) / (4096UL*4096UL)
    index3.datamin=min(dat3,/nan)
    index3.datamax=max(dat3,/nan)
    res = where(dat3 eq 0, cnt)
    index3.datazer=cnt
    result=moment(dat3,/nan,sdev=sdev,mdev=mdev) 
    index3.dataavg=result[0]
    index3.DATASKEW=result[2]
    index3.DATAKURT=result[3]
    index3.DATAMEDN=median(dat3)
    index3.datarms=stddev(dat3,/nan)

return

end
 
 
